Summary:    Telnet client designed for BBS browsing
Name:       pcmanx-gtk2
Version:    1.1
Release:    1%{?dist}
License:    GPLv2+
Group:      Applications/Internet
Source0:    http://pcmanx-gtk2.googlecode.com/files/%{name}-%{version}.tar.xz
URL:        http://code.google.com/p/pcmanx-gtk2/
BuildRequires:  gtk2-devel libXft-devel libtool-ltdl-devel
BuildRequires:  libnotify-devel >= 0.7.0
BuildRequires:  desktop-file-utils gettext
BuildRequires:  intltool


%description
An easy-to-use telnet client mainly targets BBS users.

PCMan X is a newly developed GPL'd version of PCMan, a full-featured
famous BBS client formerly designed for MS Windows only.  It aimed to
be an easy-to-use yet full-featured telnet client facilitating BBS
browsing with the ability to process double-byte characters.


%prep
%setup -q
# remove the bundled libltdl
rm -fr libltdl
sed -i -e 's/libltdl//' Makefile.in


%build
%configure --enable-proxy --enable-libnotify --enable-iplookup --enable-wget
make %{?_smp_mflags}

%install
make install INSTALL="install -c -p" DESTDIR=$RPM_BUILD_ROOT

desktop-file-install \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applications/pcmanx.desktop

%find_lang pcmanx


%files -f pcmanx.lang
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/pcmanx/
%{_datadir}/pixmaps/*
%{_mandir}/man1/pcmanx.1*


%changelog
* Mon Jan 30 2012 Robin Lee <cheeselee@fedoraproject.org> - 1.1-1
- Update to 1.1
- Use upstream desktop entry file
- BR: libtool-ltdl-devel
- Untabified

* Thu Jan 12 2012 Robin Lee <cheeselee@fedoraproject.org> - 1.0-1
- Update to 1.0
- Specfile cleanup

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.9-8.20101026svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 08 2010 Chen Lei <supercyper@163.com> - 0.3.9-7.20101026svn
- disable building shared libraries
- svn 529

* Fri Jun 18 2010 Chen Lei <supercyper@163.com> - 0.3.9-6.20100618svn
- several changes according to the review
- disable plugin by default
- svn 525

* Tue Jun 01 2010 Chen Lei <supercyper@163.com> - 0.3.9-5.20100601svn
- svn 523

* Sat Mar 27 2010 Chen Lei <supercyper@163.com> - 0.3.9-4.20100326svn
- svn 514
- remove obsolete patches

* Mon Feb 22 2010 Chen Lei <supercyper@163.com> - 0.3.9-3.20100222svn
- svn 501
- resolves: #513527

* Thu Feb 18 2010 <jhorak@redhat.com> - 0.3.9-2.20100210svn
- Rebuild against newer gecko

* Wed Feb 10 2010 Chen Lei <supercyper@163.com> - 0.3.9-1.20100210svn
- svn 500
- remove obsolete patches

* Wed Dec 16 2009 Jan Horak <jhorak@redhat.com> - 0.3.8-11
- Rebuild against newer gecko

* Thu Nov 05 2009 Jan Horak <jhorak@redhat.com> - 0.3.8-10
- Rebuild against newer gecko

* Tue Oct 27 2009 Jan Horak <jhorak@redhat.com> - 0.3.8-9
- Rebuild against newer gecko

* Wed Sep 09 2009 Jan Horak <jhorak@redhat.com> - 0.3.8-8
- Rebuild against newer gecko

* Tue Aug 04 2009 Jan Horak <jhorak@redhat.com> - 0.3.8-7
- Rebuild against newer gecko

* Thu Jul 23 2009 Jan Horak <jhorak@redhat.com> - 0.3.8-6
- Rebuild against newer gecko

* Wed Mar 5 2009 Caolán McNamara <caolanm@redhat.com> 0.3.8-5
- include stdio.h for perror

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jan 7 2009 Martin Stransky <stransky@redhat.com> - 0.3.8-3
- updated for xulrunner 1.9.1

* Thu Sep 25 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.3.8-2
- rebuild against xulrunner 1.9.0.2

* Wed Aug 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.3.8-1
- update to 0.3.8
- build and package mozilla/firefox/xulrunner plugin
